Skip to main content
GET
/
public
/
v1
/
custom-fields
/
{custom_field_id}
/
Get custom field
curl --request GET \
  --url https://api.dualentry.com/public/v1/custom-fields/{custom_field_id}/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v1/custom-fields/{custom_field_id}/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v1/custom-fields/{custom_field_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "is_active": true,
  "company_id": 123,
  "company_ids": [],
  "description": "<string>",
  "helper_text": "<string>",
  "applies_to": [],
  "default_value": "<string>",
  "options": [
    "<string>"
  ]
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

custom_field_id
integer
required

Response

OK

id
integer
required
name
string
required
field_type
enum<string>
required
Available options:
text,
number,
currency,
date,
boolean,
single_select,
multi_select,
link,
paragraph
is_active
boolean
required
company_id
integer | null
company_ids
integer[]
description
string | null
helper_text
string | null
applies_to
AppliesToItemSchema · object[]
default_value
options
string[] | null
Last modified on July 13, 2026